org.flexdock.perspective

## Class DockingStateListener

- java.lang.Object
- - org.flexdock.docking.event.DockingListener.Stub
  - - org.flexdock.perspective.DockingStateListener

All Implemented Interfaces:
  java.util.EventListener, DockingListener

    public class DockingStateListener
    extends DockingListener.Stub

Author:
  Christopher Butler

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.flexdock.docking.event.DockingListener

`DockingListener.Stub`

### Constructor Summary

Constructors
Constructor and Description
`DockingStateListener()`

### Method Summary

Methods
`void` `dockingComplete(DockingEvent dockingEvent)` Fired when docking of a `Dockable` has completed.
`boolean` `isEnabled()`
`void` `setEnabled(boolean isEnabled)`
`void` `undockingStarted(DockingEvent evt)`
`void` `updateState(Dockable dockable)`

### Methods inherited from class org.flexdock.docking.event.DockingListener.Stub

`dockingCanceled, dragStarted, dropStarted, undockingComplete`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DockingStateListener

    public DockingStateListener()

### Method Detail

#### isEnabled

    public boolean isEnabled()

#### setEnabled

    public void setEnabled(boolean isEnabled)

#### dockingComplete

    public void dockingComplete(DockingEvent dockingEvent)

Description copied from interface: `DockingListener`
Fired when docking of a `Dockable` has completed.

Specified by:
  `dockingComplete` in interface `DockingListener`
Overrides:
  `dockingComplete` in class `DockingListener.Stub`
Parameters:
  `dockingEvent` - the `DockingEvent` event which provides the source Dockable, the old DockingPort and the new DockingPort

#### undockingStarted

    public void undockingStarted(DockingEvent evt)

Specified by:
  `undockingStarted` in interface `DockingListener`
Overrides:
  `undockingStarted` in class `DockingListener.Stub`

#### updateState

    public void updateState(Dockable dockable)